Bug 849200 - Review Request: connman - A daemon for managing internet connections on Linux
Review Request: connman - A daemon for managing internet connections on Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 13:08 EDT by Pavel Šimerda (pavlix)
Modified: 2012-12-26 13:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-19 19:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Šimerda (pavlix) 2012-08-17 13:08:49 EDT
Spec URL: http://data.pavlix.net/fedora/connman.spec
SRPM URL: http://data.pavlix.net/fedora/connman-1.5-1.fc17.src.rpm
Description: The ConnMan project provides a daemon for managing internet connections within
embedded devices running the Linux operating system. The Connection Manager is
designed to be slim and to use as few resources as possible, so it can be
easily integrated.
Fedora Account System Username: pavlix

I want to add this package to Fedora for testing it and experimenting with it.
It is an interesting peace of software. And, after all, we are open source
and we like alternatives :). We have all these Unities, Cinnamons and Mates
already.
Comment 1 Pavel Šimerda (pavlix) 2012-08-17 13:13:08 EDT
From rpmlint:

> connman.x86_64: W: only-non-binary-in-usr-lib

Only a systemd unit. Is this a problem in rpmlint?t

> connman.x86_64: W: no-manual-page-for-binary connmand

Yeah. They didn't care to provide one.
Comment 2 Michael Scherer 2012-08-17 19:00:56 EDT
Yep, that's just warnings.
Comment 3 Michael Scherer 2012-08-17 19:04:43 EDT
A few notes :

- %{_includedir}/connman/ is unowned

- Various scriptlets are wrong :
%systemd_preun apache-httpd.service
Comment 4 Michael Scherer 2012-08-17 19:18:34 EDT
A few others notes :
- license is not shipped with the rpms
- there is a test suite shipped with connman, could it be run in %check 

For the rest, this is good, so if you fix the 4 issues, I will approve the package.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Permissions on files are set properly.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: Large documentation files are in a -doc subpackage, if required.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2)", "GPL (v2 or later)" For detailed output of licensecheck see
     file:
     /home/misc/checkout/git/FedoraReview/849200-connman/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr macros not found. They would be needed for EPEL5
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).

Issues:
=======
[!]: %check is present and all tests pass.
[!]: Package must own all directories that it creates.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License file installed when any subpackage combination is installed.

Rpmlint
-------
Checking: connman-1.5-1.fc17.x86_64.rpm
          connman-devel-1.5-1.fc17.x86_64.rpm
          connman-1.5-1.fc17.src.rpm
          connman-debuginfo-1.5-1.fc17.x86_64.rpm
connman.x86_64: W: only-non-binary-in-usr-lib
connman.x86_64: W: no-manual-page-for-binary connmand
connman.x86_64: W: percent-in-%post
connman.x86_64: W: percent-in-%preun
connman.x86_64: W: percent-in-%postun
connman-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Diff spec file in url and in SRPM
---------------------------------
--- /home/misc/checkout/git/FedoraReview/849200-connman/srpm/connman.spec	2012-08-18 01:01:18.812369205 +0200
+++ /home/misc/checkout/git/FedoraReview/849200-connman/srpm-unpacked/connman.spec	2012-08-18 01:01:22.362396886 +0200
@@ -2,5 +2,5 @@
 Version: 1.5
 Release: 1%{?dist}
-Summary: An alternative daemon for managing internet connections on Linux
+Summary: A daemon for managing internet connections on Linux
 
 Group: System Environment/Base
Requires
--------
connman-1.5-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    config(connman) = 1.5-1.fc17
    libc.so.6()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdl.so.2()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libgcc_s.so.1(GCC_3.3.1)(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgnutls.so.26()(64bit)  
    libgnutls.so.26(GNUTLS_1_4)(64bit)  
    libpthread.so.0()(64bit)  
    libresolv.so.2()(64bit)  
    librt.so.1()(64bit)  
    libxtables.so.7()(64bit)  
    rtld(GNU_HASH)  
    systemd-units  
    wpa_supplicant >= 1.0

connman-devel-1.5-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    pkgconfig(dbus-1)  
    pkgconfig(glib-2.0)  

connman-debuginfo-1.5-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
connman-1.5-1.fc17.x86_64.rpm:
    
    config(connman) = 1.5-1.fc17
    connman = 1.5-1.fc17
    connman(x86-64) = 1.5-1.fc17

connman-devel-1.5-1.fc17.x86_64.rpm:
    
    connman-devel = 1.5-1.fc17
    connman-devel(x86-64) = 1.5-1.fc17
    pkgconfig(connman) = 1.5

connman-debuginfo-1.5-1.fc17.x86_64.rpm:
    
    connman-debuginfo = 1.5-1.fc17
    connman-debuginfo(x86-64) = 1.5-1.fc17

MD5-sum check
-------------
http://www.kernel.org/pub/linux/network/connman/connman-1.5.tar.xz :
  CHECKSUM(SHA256) this package     : f973198e90083a30a7c8233cfe87ddf77bb40eac1ba8d8733b9b75131aec1e94
  CHECKSUM(SHA256) upstream package : f973198e90083a30a7c8233cfe87ddf77bb40eac1ba8d8733b9b75131aec1e94


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 849200
External plugins:
Comment 5 Pavel Šimerda (pavlix) 2012-08-18 16:04:01 EDT
Spec URL: http://data.pavlix.net/fedora/connman.spec
SRPM URL: data.pavlix.net/fedora/connman-1.5-2.fc17.src.rpm
Comment 6 Pavel Šimerda (pavlix) 2012-08-18 16:07:53 EDT
> - %{_includedir}/connman/ is unowned

Fixed.

> - Various scriptlets are wrong :
> %systemd_preun apache-httpd.service

Bad copy-pasting from wiki. Fixed.
Comment 7 Pavel Šimerda (pavlix) 2012-08-18 16:14:02 EDT
Forget about these... will issue a new version.
Comment 8 Pavel Šimerda (pavlix) 2012-08-18 16:54:50 EDT
> - license is not shipped with the rpms

Fixed.

> - there is a test suite shipped with connman, could it be run in %check 

I've looked at the tests directory and the tests actually seem to be intended
for manual run time testing, not automatic build time testing.

New build:

Spec: http://data.pavlix.net/fedora/connman.spec
SRPM: http://data.pavlix.net/fedora/connman-1.5-3.fc17.src.rpm
Comment 9 Michael Scherer 2012-08-19 05:27:17 EDT
Seems good to me, so approved.

I didn't test thoroughly because there is no ui, but it successfully broke my network on start so I guess it started fine :)
Comment 10 Pavel Šimerda (pavlix) 2012-08-19 06:16:00 EDT
> Seems good to me, so approved.

Thanks.

> but it successfully broke
> my network on start so I guess it started fine :)

Sounds good :).
Comment 11 Pavel Šimerda (pavlix) 2012-08-19 06:24:56 EDT
New Package SCM Request
=======================
Package Name: connman
Short Description: A daemon for managing internet connections on Linux
Owners: pavlix
Branches: f18
InitialCC:
Comment 12 Gwyn Ciesla 2012-08-19 16:02:06 EDT
Git done (by process-git-requests).
Comment 13 Pavel Šimerda (pavlix) 2012-08-19 19:51:56 EDT
Thanks.
Comment 14 Sergey V. Udaltsov 2012-12-26 13:06:38 EST
Trying to build and install that rpm on FC17:

sudo rpm -i ../RPMS/x86_64/connman-1.5-3.fc17.x86_64.rpm 
/var/tmp/rpm-tmp.cVjOwI: line 1: fg: no job control
warning: %post(connman-1.5-3.fc17.x86_64) scriptlet failed, exit status 1

Same thing with rpm -e

Any hints?

Note You need to log in before you can comment on or make changes to this bug.